@part<One,Root="mm.mss">
@begin<Text>
@chapter(Introduction)

@section(What Is MM?)

MM is a powerful electronic mail system that allows you to send,
read, edit, and manage messages quickly and easily.  

MM has three different @i<modes>. 

@begin(itemize)

@b[Top-level] is the default or initial mode you are in when you enter
MM.  At @b[top-level mode] you can perform general operations on your
mail such as finding out how many messages are in your mailbox and who
they are from.  Also at @b[top-level], you begin the procedures to
@i[read] and @i[send] mail.

In @b[read mode], you give commands about the mail you are reading.
You can for example delete or file it, or reply to it.

In @b[send mode], you give commands about the mail you are sending to
other users.

@end(itemize)

Within each mode there are a series of commands that you may use to
work with the messages you have received or to compose and send
outgoing messages.  A command simply consists of an English word, or
several, typed at the @i[MM>, Read>], or @i[Send>] prompt (the prompts
at the three modes) followed by a carriage return.  

Unlike other Unix programs, MM accepts a command in either upper or
lower case.  (Notice though that file names are case-sensitive.)  MM
will attempt to interpret each command: if understood, the command is
executed; if not, MM will complain to you about the command error.

MM has a large list of commands that do many different things.  You
don't need to know them all to use MM effectively, but they make a
flexible whole within which MM can operate.

@section(Learning MM)

A good way to learn how to use MM and its commands is to look at this
manual while you use MM.  The second chapter is a series of examples
demonstrating the use of the most common MM commands and should be
helpful in getting you started.  The other chapters offer a more
detailed description of the commands used in the examples, as well as
a complete list of all commands and options available at each mode.

If, after you have used MM extensively, you feel that something has
been left out of the program, feel free to use the @i[bug] command,
which lets you communicate with the maintainers of MM.	We are willing
to listen to reasonable suggestions and let you know whether anything can
be done.

@newpage<>

@section(Help)

MM has extensive internal help.  It is more detailed than this manual.
If you are getting unexpected results or don't see quite how to use a
command, see whether the online help explains it more fully.

There are three versions of help, as shown in the following examples:

@blankspace(2 lines)

Typing in a @p(?) at any MM prompt gives all the commands available at
that point.  The most important example is @i(help ?) (@i[help], space,
question-mark), which shows what help is available:

@blankspace<1 line>
@begin(example)

MM>@b<help ?>
 BASIC command, one of the following:
exit		 help		 headers	 quit		 read
review		 send		 suspend

 or MESSAGE-HANDLING command, one of the following:
answer		 delete		 forward	 print		 remail
reply		 type		 undelete

or MESSAGE-TAGGING command, one of the following:
flag		 keyword	 mark		 unanswer	 unflag
unkeyword	 unmark		 

 or FILING command, one of the following:
copy		 examine	 expunge	 get		 move
restore-draft	 sort		 write		 

 or CUSTOMIZATION command, one of the following:
define		 profile	 save-init	 set		 show

 or INFORMATION command, one of the following:
check		 count		 daytime	 finger		 pwd
status           version         who

 or some OTHER command, one of the following:
backtrack	 blank		 browse		 bug		 bye
cd		 continue	 echo		 edit		 follow
jump		 list		 literal	 next		 previous
push		 route		 spell		 take		 

  or "!" for shell escape

  or other topic, one of the following:
 addressing          basic               bitnet              ccmd
 command-history     command-line-edit   customization       directory
 filing              information         internet            message-handling
 message-sequence    message-tagging     other               shell
 signature-file      text-mode           top

  or other mode, one of the following:
 top-level-mode  read-mode       send-mode

  or confirm for a brief help message

@end(example)

At the @i(Send>) and @i(Read>) prompts, slightly different lists appear.

@newpage<>

Typing in @p<help> followed by any command name then gives further
information on each of the specific commands.  For example, to get
more information on the command @i<headers>, type @p(help headers):

@blankspace<2 lines>
@begin(example) 

MM>@b<help headers> 

The HEADERS command is used to list "headline" summaries of messages
  in your current mail file.  Each summary line contains the sequence
  number, date, sender, subject, status and length of a message.

To use the HEADERS command, type "headers" followed by a message
  number or message-sequence.  The default is the current message.

For example:			Displays summaries of:
  headers 2:4			  Messages numbered 2 through 4
  headers subj meeting		  Messages with "meeting" in the subject line
  headers unanswered		  Messages you haven't replied to yet
  h from walter after 11/23/88	  Messages from "walter" dated after
				     Nov 23, 1988
		
The first example would give you the following:

    K  2) 23-Dec Walter Bourne	 SAS graph stuff (1061 chars)
       3)  6-Feb Jeff Eldredge	 Technical Notes (749 chars)
 FA    4) 21-Feb Bea Hamblett	 sas article (277 chars)

For more help type "help" and one of these topics:
  message-sequence   basic
  
@end(example)
@blankspace(2 lines)

Typing @p(headers ?) gets a screen suggesting possible completions:

@blankspace(2 lines)
@begin(example)

MM>@b(headers ?) message number
  or range of message numbers, n:m
  or range of message numbers, n-m
  or range of message numbers, n+m (m messages beginning with n)
  or "." to specify the current message
  or "*" to specify the last message
  or message sequence, one of the following:
 after               all                 answered            before
 current             deleted             flagged             from
 inverse             keyword             last                longer
 new                 on                  previous-sequence   recent
 seen                shorter             since               subject
 unflagged           unkeyword           unseen
  or "," and another message sequence

@end(example)

@end(text)
