@part<four,root="mm.mss">
@begin<text>
@Chapter(Top Level)@tag(topmode)

@section(What is Top Level?)

When you start MM you are at the @b<top level>.  This is identified by
the @i[MM>] prompt being displayed.  At this level, all the power of
MM is available to you via a large number of commands that enable you
to manage your messages, read them, send new ones, reply to old ones
and so forth.

This chapter describes the functions and use of each command.  At the
@i(MM>) prompt, you can type @i(help <command-name>) for more
information on each command, with examples.

Of all the @b(top level) commands, by far the ones you will use most
frequently are @i<read> and @i<send>.  They each start up their own
mode that is identified by a different prompt from the @b<top level>
prompt, @i[MM>].  Some of the same commands can be used.  See the
following chapters on @b<read mode> and @b<send mode>.

@section(Commands in Top Level)

Some of the descriptions that follow mention "arguments".  When what
you type is of the form @i<command something>, for example @i<reply
3>, @i<reply> is the command and @i<3> is the argument.  The argument
that @i<reply> takes is a message sequence.  As you recall from the
earlier description of a message sequence, the argument might also be
@i<4:10> or @i<2,5,7> or @i<from hmh> instead of @i<3>.  When you are
using MM, you can type @i(?) for suggested arguments, like @p(reply
?).

The type of argument for each command is suggested here in brackets
<>.  <Mess-seq> is any message sequence; if none is given the command
refers to the "current" message.  The argument may be optional in some
cases, as noted.

@blankspace(1 line)
@end(text)

@begin(text2, columnbalance=on)
@begin(itemize) 

ANSWER: See @i<reply>.

BACKTRACK: Not yet functioning.  It will be used in conjunction with
the @i[follow] command to track a "conversation".  A conversation in
this case is considered to be all messages with the same subject.
@i<Backtrack> moves you to the previous message in the conversation.

BLANK: Blanks your screen if you are on a video display terminal.  If
not, then it does nothing.

BROWSE <mess-seq>: Displays headers of the messages specified.  It
then allows you several options including reading each message,
replying to it, flagging it, and deleting it.  Type @p(?) during 
@i(browse) to see a list of the options.

BUG: Can be used to report problems or suggestions to the maintainers
of MM.  @i<Bug> puts you into @b<send mode> with a predefined list of
addresses to send the message about the bug.  You send it the normal
way you would send any other message.  The response may take a short
while, i.e. a day or two.  Note, for help and advice on using MM, send
mail to "consultant" instead of using @i<bug>.

BYE: Exits you from MM and kills the process.  It also asks you
whether you would like to expunge deleted messages.  See EXIT and
QUIT.

CD <directory>: The @i<cd> command is similar to the @i(cd) command in
the shell.  It changes the current working directory to one specified
as an argument.  The default directory is your home (login) directory.
The current working directory is the starting point for path names not
beginning with "/".

CHECK: Checks for new messages that may have arrived while you are
using MM.  MM does an automatic check every 5 minutes.

CONTINUE: If you quit at the @i(Send>) prompt, @i<continue> returns you
to the @i(Send>) prompt.

COPY <filename mess-seq>: Copies messages to an additional mail file.
It takes two arguments: the first is the filename of the additional
mail file, and the second is a message sequence.  The messages are
left unchanged in the original mail file.  If the file to copy to does
not exist yet, it is created.  See MOVE.

COUNT <mess-seq>: Accepts a message sequence (default @i<all>) and
displays the message numbers and total number of messages in the
sequence.

DAYTIME: Tells you the current date and time.

DEFINE <alias user(s)>: The @i<define> command is used to create
nicknames or mailing lists, known in MM as aliases.  The two arguments
are first, the alias you will use, and second, the real address (which
may be a list of users, separated by commas).  See page
@Pageref<defref> for an example.  You can also refer MM to a file
listing the users, as explained at the example.  To keep the alias
permanently, use the @i<save-init> command.

DELETE <mess-seq>: Marks a message or set of messages for deletion.
The messages are not erased until the @i<exit> or @i<expunge> command
is given.

ECHO <text>: Prints the same text back at the terminal.  Useful in
files of mm commands that you would @i<take>.  See TAKE.

EDIT <mess-seq>: Edits a message or set of messages in your mail file,
using the editor specified in your @i<.mminit> file.  The default
editor is @i<emacs>.

EXAMINE <filename>: Changes your current mail file to an additional
file in read-only mode. It is like the @i<get> command except that the
file is read-only, and the file reference date is not updated.

EXIT: Ends your current MM session and suspends the process.  It will
also erase any messages you have marked for deletion in the current
mail file (the one you are in when you @i(exit)).  See BYE and QUIT.

EXPUNGE: Permanently eliminates messages marked for deletion.  It
actually writes out a new copy of the file without the deleted
messages, so in effect it makes the file shorter.  The command
@i<exit> does an @i<expunge> for you.

FINGER: The @i<finger> command is the same one available to you at the
shell.  It shows you information about other users on the system.  See
the examples on page @pageref(fingr).  For further information, type
@i<man finger> at the shell prompt, or @i<!man finger> at any of the
MM prompts.

FLAG <mess-seq>: Makes the messages specified "stand out" in your mail
file by marking them as flagged.  You can refer to them with the
message sequence @i<flagged>.  @i(Flagged) messages are also displayed
when you start MM, along with the unseen messages.

FOLLOW: Not yet functioning.  It will be used in conjunction with the
@i[backtrack] command to track a "conversation".  A conversation in
this case is considered to be all messages with the same subject.
@i<Follow> moves you to the next message in the conversation.

FORWARD <mess-seq>: Forwards a message you have received to some other
address.  It is similar to REMAIL, but it allows you to insert a
message on top of the one being forwarded.  You are the "sender" of
the forwarded message, so replies come to you.

GET <filename>: Changes your current mail file to the file named.  All
MM commands now apply to that file.  With no argument, refers to your
main mail file.  See EXAMINE.

HEADERS <mess-seq>: Lists "headline" summaries of messages in your
current mail file.  If you follow this command with a message
sequence, it will output all the headers of that sequence in order of
lowest message number to highest.  See page @pageref<hdrs> for a
detailed explanation of each of the fields that appear when you use
this command.

HELP: Displays help on various topics including all the commands at
the level at which @i<help> is being invoked.  To find out the things
you can get help on type @i<help ?>.  You can also type @i(help
<command>) for help on that command.

JUMP <message>: Resets a certain message to be the @i<current>
message.  For instance, @i[jump 10] will make message number
10 be the current message.

KEYWORD <word-list mess-seq>: Allows you to group together related
messages by assigning them keywords.  The first argument is one or
more keywords separated by commas, and the second argument specifies
what messages to assign them to.  Later, when you use the message
sequence @i(keyword <word>), it refers to all messages to which you
gave that keyword.

LIST </switch filename mess-seq>: This use of @i<list> formats
messages nicely and copies them to a file.  The difference from
@i(copy) is that the file cannot be read by MM.  There are three
arguments.  The first is optional, either @i</headers-only>, which
lists only the header (meaning what you would see from a @i<header>
command), or @i</separate-pages>, which puts a page break between
messages.  The second argument is the name of the file.  The last
argument is a message sequence.  

LIST </switch | "shell-command" mess-seq>: This use of @i<list>
formats messages nicely and sends them as input to a shell command.
There are three arguments.  The first is optional, either
@i</headers-only> or @i</separate-pages>, as described above.  The
second argument is a pipe symbol (|) followed by any shell command, in
double quotes, that will take the input.  The last argument is a
message sequence.  This use of @i<list> can be used to print messages
by putting the appropriate shell print command in quotes (like "lpr
-P<printer>").  It can also be used to send the message into Kermit so
you can copy it to a file on your PC; see page @pageref(klist).

LITERAL <command>: @i<Literal> is a prefix to the @i<list, print> and
@i<type> commands that causes them to ignore the
@i<dont-@_print-@_headers>, @i<only-@_print-@_headers>, 
@i<dont-@_type-@_headers> and @i<only-@_type-@_headers> variables.

MARK <mess-seq>: Marks a message or set of messages as @b<seen>.

MOVE <filename mess-seq>: Moves messages into an additional mail file.
It works like @i<copy>, but also marks the messages for deletion from
your current mail file.  See COPY.

NEXT:  Goes to the next message in the file and types it if it is not
deleted. The next message is considered to be the one directly after
the current one.  

PREVIOUS:  Goes to the previous message in the file and types it if
it is not deleted.  The previous message is considered to be the one
directly before the current one.  

PRINT </switch mess-seq>: Prints the specified messages using the
print program defined by the @i(print-filter) variable.  The first
argument is optional, and the only possibility is @i</separate-pages>,
which puts a page break between messages, so each starts on a new
page.  The default @i(print-filter) is @i(/usr/local/bin/print), which
will ask what printer you want to use.  If you connect via Kermit from
a PC with its own printer directly attached, try the command @i<set
print-filter pcprint>, and @i<print> will then direct printing to your
PC's printer.  As an example of the full command, @i<print
/separate-pages 6:10> prints messages 6 to 10 with each on its own
page.

PROFILE: Helps you set up an environment for using MM corresponding to
your preferences in message handling.  It asks you a series of
questions and then makes MM remember your responses (via the
@i<.mminit> file).  It does not go through all of the @i<.mminit>
options possible.  For further details see the chapter on
@b<Customization>.

PUSH: Gives you a new (inferior) shell.  At that point you can then do
anything you could ordinarily do in the shell, and you get back to MM
by exiting the shell.  A different option is to enter shell commands
at any of the MM prompts simply by preceding them with a "!", e.g.
@i<!man finger>.  Still another option is to quit from MM by @i<quit>
or @i<exit> and then return to MM afterwards.

PWD: The @i<pwd> command is similar to the @i<pwd> command in the shell.
It displays your current working directory.  See the @i<cd> command to
change your working directory.

QUIT: Quits out of MM, without expunging, and suspends the process.
See BYE and EXIT.

READ <mess-seq>: Starts reading the messages specified in @b<read
mode>.  For more information see the chapter on @b<read mode>.
Without an argument, @i<read> will read any messages you have not yet
seen.

REMAIL <mess-seq>: Similar to @i<forward>, but the message is sent as
is, with nothing added except modification to the header fields to
indicate who did the remailing.  Each message in a sequence is sent as a
separate piece of mail.  The original sender will get any replies.

REPLY <mess-seq>: Most commonly used in @b<read> mode to reply to the
current message, but can also be commanded from top-level.  With no
argument, refers to the current message.  When invoked from
@b(top-level), it will ask who to reply to after you type the command
@i<send>: type @i(sender), @i(all) (meaning everyone who received the
message), or @i(none) (meaning don't send a reply to this message);
also type @i(including) to include the original message in the reply,
for example @i(sender including).

RESTORE-DRAFT <filename>: @tag<restdf>Continue sending a message you
saved in mid-composition using the @i<save-draft> command (page
@pageref<savedf>).

REVIEW <mess-seq>: Like @i[read], but when no message sequence is
specified, review prompts you for one.

ROUTE <user>: Forwards all mail sent to you to another address.  The
address can be either a local user ID or a remote mail address in the
form @i<user@@host>.  To stop the forwarding, type @i<route> with no
argument.  The command creates a file called @i<.forward> in your
directory.

SAVE-INIT: Used after one or more @i<define> or @i<set> commands to
save the definition or setting permanently in the file called
@i<.mminit> .  See DEFINE and the chapter on @b<Customization>.  

SEND: Start writing a message to be sent.  See the chapter on @b<send
mode>.  An alternative format is @i(send <user>), specifying the user
you are sending to.

SET <variable-name value>: Customize MM to act differently, by
resetting one of its variables.  See the chapter on @b<Customization>.

SHOW <variable-name or mail-alias>: With no argument, displays the
current MM environment variable settings and mail aliases, as
established by the @i<set> and @i<define> commands.  You can also
specify a particular variable or alias to see what value it has
currently.  See DEFINE and the chapter on @b<Customization>.

SORT: Sorts the mail file chronologically by the dates the messages
were generated.

SPELL <mess-seq>: Invokes the program indicated by the @i<speller>
variable on the message specified.  (The default speller is
@i[ispell].)  You should @i(spell) one message at a time.  Type @i[man
ispell] in the shell (or @i<!man ispell> at any of the MM prompts) for
more information.  Once you are in @i(ispell), type @i[?]  for help or
@i[X] to exit without changing the file.

STATUS: Tells you relevant information and statistics about your
current message file, i.e. how many messages are deleted, unseen, how
large the file is, etc.  Typing @i<status verbose> gives you in
addition the process ID number and user name.

SUSPEND: Suspends execution of MM.  It may be continued later with the
shell @i[fg] (foreground) command.  Modified mail files will be saved
before control is returned to the shell.

TAKE <filename filename filename>: Directs MM to an external file of
MM commands and executes the commands.  It takes three arguments: the
first is the file containing the commands; the other two are optional
and are for output and error messages respectively.  If no output file
is specified, the commands themselves will be invisible and only the
results of the commands will appear.  If you define the output file as
@i</dev/tty>, the commands themselves will be displayed at your
terminal as well as the output from the commands.  MM closes the file
and restores input from the terminal when any of the following happen:
end of file, command error, or a @i<take> command with no argument
(this suppresses the "[End of ...]" message).  Note, each time MM
starts up it automatically @i<take>s the files @i<.mminit> and
@i<.mmrc> in your login directory.

TYPE <mess-seq>: Displays the messages specified without going into
@b(read) mode.

UNANSWER <mess-seq>: Removes the answered status from messages.

UNDELETE <mess-seq>: "Undeletes" messages; that is, it removes the
marker that calls for deletion.  (Expunged messages no longer appear
in @i(headers) and cannot be "unexpunged".)

UNKEYWORD <word-list mess-seq>: Removes specified keyword(s) from the
specified message(s).  

UNFLAG <mess-seq>: Removes the flag, as set by @i(flag).

UNMARK <mess-seq>: Unmarks messages; that is, makes them appear unseen. 

VERSION: Shows MM's current version number, copyright notice, and bug
report address.

WHO <mail-alias or user>: Shows how a given mail address will be
translated by the mail system into a list of one or more actual
recipients.  With an alias, shows the users (or the file containing a
list of users).  With a user ID, usually shows the user ID, but will
show any forwarding or other re-addressing that may be in effect.

WRITE <filename>: Writes out a new copy of the mail file.  It does not
remove deleted messages.  With the optional filename argument, it will
make a copy of your mail file with the new name.

@end(itemize)
@end(text2)
@begin(text)

@Section(CCMD)

At any MM prompt, you are using a command parser called CCMD, which
you can use to help you enter commands.

Partially typed commands can be completed by typing @i<[TAB]>.  For
example, to issue the command @i(check), you could type just @i(ch)
and then @i([TAB]).  The reason this works is that only one command
begins with @i(ch).  Try typing @i(c[TAB]): it will be completed too,
but not perhaps as you wish, since there is more than one command
starting with @i(c); abort with @i(<ctrl/u>), or backspace over it.

If the partially typed command takes an argument, CCMD will describe
what it is.  For example, if you type @i(cop[TAB]), CCMD fills it out
as @i[copy (into file)], meaning you should fill in a file name.

To see whether a command has a default argument, type @i<[TAB]> where
you would normally type the argument. For example, @i(headers [TAB])
is completed as @i(headers current).  If you want the default, just
press @i([RETURN]); otherwise, abort with @i(<ctrl/u>), or backspace
over it and type what you want instead.  If there is no default, your
terminal will beep.

Lastly, CCMD performs the @i(?) help function.  At almost any point,
you can type ? to see a list of suggestions.  Sometimes it just
reminds you how to type out a command, and other times it may show you
something you never heard of that looks useful.  Follow up by typing
@i(help <command>) for more information.

@end<text>
