@part<five, root="mm.mss">
@begin<text>
@Chapter(Read Mode)

@Section(What Is Read Mode?)

@b<Read mode> reads and processes the messages in your mail file.  Its
commands are very similar to the ones in @b<top level>, but refer only
to the message being read.  So, for instance, if you were to type
@i(MM>)@p<read 3>, you would be put into @b(read mode), and commands
would then, for the most part, apply only to message 3.  If you had
typed @i(MM>)@p<read 3:10> (meaning to read messages 3 through 10,
individually and one right after the other), any commands you would
type in @b<read mode> would apply to whichever message between 3 and
10 is currently being read.

@Section(Commands In Read Mode)

Start @b<read mode> by typing @i(MM>)@p(read) followed by a
message-sequence.  With no message-sequence, @i(MM>)@p<read> is taken
to mean @i(MM>)@p<read unseen>, and it will let you read each new
message you have not seen.  If there are no new messages, it simply
returns you to the @b<top level>.  When you start MM, it tells you
whether you have new messages.  During a session, MM checks for more
incoming mail every 5 minutes, or you can force a check with the
@i(check) command.

Most of the top-level commands are also available in @b<read mode>.
@b<Read mode> is identified by the @i[Read>] prompt.  You can get
descriptions of the @b<read mode> commands by typing @i[help ?] or
@i[help <command>] at the read prompt.  The major difference is that
the commands do not take message sequences as arguments, but refer
instead to the current message.  For example, @i<delete> refers to the
message you just read.

The command @i<kill> is the only @b(read mode) command that does not
also operate at @b(top-level).  @i(Reply) works somewhat differently
in @b(top-level) and @b(read modes).

@blankspace(1 line)
@end(text)
@begin(text2, columnbalance=on)
@begin(itemize)

KILL: Combines @i<delete> and @i<next>: marks the current message for
deletion and then types the next message.

REPLY: Most commonly used in @b(read mode) rather than @b(top-level).
In @b(read mode), the two optional keywords for @i(reply) should be
added immediately after the command.  The simple command @i(reply) is
the same as the full command @i(reply sender not-including).  The
alternative to @i(sender) is @i(all), which sends the reply to
everyone who received the original message.  The second keyword can be
@i(including), which includes the text of the original message above
the reply.  Therefore, the following commands are all commonly used:
@p(reply), @p(reply all), @p(reply including), @p(reply all
including).

@end(itemize)
@end<text2>



