@part<six,root="mm.mss">
@begin<text>
@Chapter(Send Mode)

@Section(What Is Send Mode?)

@b<Send mode> is invoked by typing the @i<send> command at @b<top
level> or in @b[read mode].  Whenever you @i<send> or @i<forward> a
message, @i<reply> or @i<answer> a message, or send a @i<bug> report,
@b<send mode> is invoked in some form.  Suppose you type @i[send]
followed by a @i<<cr>>:

@blankspace(1 line)
@end(text)
@begin(text2)
@begin(example)
 MM>@p(send <cr>) 
  To: 
@end(example)
@end(text2)
@begin(text)

At this point, MM is awaiting a list of addresses to send the message
to.  Valid addresses are of the form @i<userID>, @i<userID@@host>,
or @i<userID, userID, userID> (i.e., several user ID's separated by
commas).  Suppose you want to send a message to hmh, jhs and jcs.  You
would say

@blankspace(1 line)
@end(text)
@begin(text2)
@begin(example)
 MM>@p(send <cr>)
  To: @p[hmh, jhs, jcs <cr>]
@end(example)
@end(text2)
@begin(text)

The list of addresses is terminated with a carriage return.  Notice
that spacing and case will be ignored.  You could just as well have
said @i<hms,jhs,jcs>.  They are separated by space here only for
readability.  This is known as specifying the @i[to-list] in sending a
message.  The next thing it will ask you for is a @i[cc-list]:

@blankspace(1 line)
@end(text)
@begin(text2)
@begin(example)
 MM>@p(send <cr>)
  To: @p[hmh <cr>]
  cc:
@end(example) 
@end(text2) 
@begin(text) 

The @i(cc-list) is optional.  You can put in one or more valid userIDs
in the same form as in the @i(to-list).  Cc's are used to let someone
see a copy of a message that isn't really directed to them.  Suppose
you have a message for hmh and mmc, and you want vla to be aware that
you sent it:

@blankspace(1 line)
@end(text)
@begin(text2)
@begin(example)
 MM>@p(send <cr>)
  To: @p[hmh, mmc <cr>]
  cc: @p[vla <cr>]
  Subject:
@end(example)
@end(text2)
@begin(text)

The last prompt is for the subject of the message.  While it is
optional, you should always use it, by putting in a few words or a
phrase that describes the topic of your message.  This is what your
readers will see as the subject when they see they have new mail.  For
example, here is what you might say if if you are sending a message to
the above people about the recent difficulties you've had getting in
touch with them:

@begin(example)
 MM>@p(send <cr>)
  To: @p[hmh, mmc <cr>]
  cc: @p[vla <cr>]
  Subject: @p[Problems calling you <cr>]
  Message (End with CTRL/D or ESC
   Use CTRL/B to insert a file, CTRL/E to enter editor,
   CTRL/F to run text through a filter, CTRL/K to redisplay message,
   CTRL/L to clear screen and redisplay, CTRL/N to abort, CTRL/P to run a
   program and insert output.):
@end(example)
@newpage<>

Now you can actually type in the body of the message itself.  Suppose
you want to send a message to the above people, saying @i[I am having
problems getting in touch with you on a regular basis. Is there a good
time to call you at home or another number I can use?].  To do this
you should type:

@begin(example)
 MM>@p(send <cr>)
  To: @p[hmh, mmc <cr>]
  cc: @p[vla <cr>]
  Subject: @p[Problems calling you <cr>]
  Message (End with CTRL/D or ESC
   Use CTRL/B to insert a file, CTRL/E to enter editor, CTRL/F to run text
   through a filter, CTRL/K to redisplay message, CTRL/L to clear screen and
   redisplay, CTRL/N to abort, CTRL/P to run a program and insert output.):
 @p<I am having problems getting in touch with you on a regular basis.> 
 @p<Is there a good time to call you at home or another number I
 can use?>@p(<cr>)
 @p<[ESC]>

 Send>@p[send]
 hmh... Queued 
 mmc... Queued 
 vla... Queued
 MM>
@end(example)

The message is typed in and ended with @i<[ESC]>.  It is then sent
with the @i<send> command.  MM responds by confirming the delivery to
hmh and mmc and vla.  Thereafter, it returns you to the @b<top level>
@i[MM>] prompt.

This message was typed using MM's text mode.  See page
@Pageref<emacsref> for information on using Gnu-Emacs as the editor.

The following commands can be used while you are entering text:

@blankspace(1 line)
@end(text)
@begin(text2, columnbalance=on)
@begin(itemize) 

@i(<ctrl/b>): insert a file into the place where you are currently
typing.  You will be prompted with @i[Insert File: ] at which point you
should type the name of the file you want inserted and then a carriage
return. You can then continue typing more of the message or send it.

@i(<ctrl/c>): clobber MM and return to the shell, heralded by the $
prompt.  When you type @i(<ctrl/c>), mm will prompt you by asking
@i(Do you really want to exit MM?).  In most cases you should type
@p(no) and use the standard methods to exit MM.

@i(<ctrl/e>): invoke the editor specified in the EDITOR variable entry
in your @i<.mminit> file.  If you already started typing the message,
the text is carried into the editor.  The default is gnu-emacs.

@i(<ctrl/f>): runs the message through a filter: uses what you have
typed as input to some program and replaces it with the output from
the program.

@i(<ctrl/k>): types out the text of the message as it appears thus
far.

@i(<ctrl/l>): clears the screen, then types the text of the message
as it appears thus far.

@i(<ctrl/n>): aborts the message (defaults to asking before aborting
the message).

@i(<ctrl/r>): retypes the line that you are typing, from leftmost
character to rightmost.

@i(<ctrl/p>): runs a program from the shell and appends the output to
the current message.

@i(<ctrl/u>): erases the line that you are typing, from leftmost
character to rightmost.

@i(<ctrl/w>): erases the last word you typed.

@i(<delete>) or @i(<backspace>): delete the last character.

@i([ESC]) or @i(<ctrl/d>): escape to @b<send mode> heralded by the
@i[Send>] prompt at which point any of the @b<send mode> commands
apply.  To send the message, type @i<send> and then a carriage return.

@end(itemize)
@end(text2)
@begin(text)

@Section(Commands In Send Mode)

As you see above, simply typing @p<send> at the @i(MM>) prompt will
not immediately put you into @b<send mode> with the @i[Send>] prompt.
What will do that is finishing the text of your message with an
@i<[ESC]> or @i[<ctrl/d>].

However, if you want to change some attribute (like add or subtract an
address from the header, change the subject, etc.)  you will need to
get to the @i[Send>] prompt by @i<[ESC]> or @i[<ctrl/d>]. Then you can
use any of the @b<send mode> commands.  At the send prompt you also
can specify header fields such as: @i<Bcc>, @i<Cc>, @i<Fcc>, @i<From>,
@i<In-reply-to>, @i<Reply-to>, @i<Subject>, @i<Text>, @i<To>,
@i<User-header>.

Several commands are available only in @b<send mode>.  Those commands
that are the same as the top-level command generally refer to the
message being composed (rather than the current message of your
incoming mail file).  The exceptions to this are @i<headers> and
@i<type>, which still refer to the current message.

The following @b<send mode> commands differ from top-level commands:

@blankspace(1 line)
@end(text)
@begin(text2, columnbalance=on)

@begin(itemize) 

DISPLAY <field>: Displays the message you've typed so far, with its
header fields (address, subject).  If the message is very long and you
just want to display one of the fields, you can type @p<display to> or
@p<display cc> or @p<display subject> or @p<display text>.  Following
are the optional fields you can use with the @i<display> command.  Of
these, @i<display header> and @i<display all> are most useful.

@end(itemize)

@begin(itemize2, spacing 0)

@i(all): shows the entire message and headers.

@i(bcc): shows only the blind carbon copy recipients 

@i(cc): shows only the carbon copy recipients 

@i(fcc): shows only the file name that will receive a copy of your
outgoing message

@i(from): shows only the @i<from> address

@i(header): shows only the message headers (@i<To>, @i<From>, etc.)

@i(reply-to): shows only the @i<reply-to> field

@i(subject): shows only the @i<subject>

@i(text): shows only the @i<text>

@i(to): shows only the @i<to> recipients

@comment(end special itemize environment)
@end(itemize2)

@blankspace(1 line)

@begin(itemize)

ERASE <field>: Erases completely a field of your message, like @i<to>,
@i<cc>, @i<subject>, @i<text>, or @i<all>.  For example, to erase the
text of your message, enter @p<erase text>.  Note, logically enough,
if by erasing you end up with no @i<to> or @i<cc> field, you will have
to specify some address(es) with a @p<to> or @p<cc> command in order
to send the message.  @i(Erase) cannot erase the sender field.  Here
are the fields you can follow the erase command with:

@comment(Use special 2nd itemize environment for postscript)
@end(itemize)
@begin(itemize2, spacing 0)

@i(all): erase the entire message 

@i(bcc): erase the blind carbon-copies address list 

@i(cc): erase the carbon copies address list 

@i(fcc): erase the field containing the file name the message was to be
copied to

@i(from): erase the @i<from> address 

@i(in-reply-to): erase the @i<in-reply-to> field.

@i(reply-to): erase the @i<reply-to> field

@i(subject): erase the @i<subject>

@i(text): erase the text of the message

@i(to): erase the @i<to> address list

@i(user-header): remove some user defined header 

@comment(end special itemize environment for postscript)

@end(itemize2) 
@blankspace(1 line)

@begin(itemize)

INSERT <filename>: Inserts the contents of a file as an addendum to
your message.  For example, to insert the file @i(Addendum), you would
type @p<insert Addendum>.

BCC <user>: Sends a blind carbon copy, which is like a carbon-copy
except no one who receives the message sees the list of bcc
recipients.  This is useful if you want to send a note to someone and
don't want the person to know that someone else is also receiving a
copy of the message.  For example, @p<bcc brennan>.

CC <user>: Adds more carbon-copy addresses to the @i<cc-list>.
To add jhs and jcs, you would type @p<cc jhs, jcs>.

FCC <filename>: Defines a file name or set of file names that will
receive copies of your outgoing message.  This will not appear in the
outgoing message.  The file will be in current directory unless you
specify a path.  

IN-REPLY-TO <text>: Takes a line of text as an argument to make the
in-reply-to field of the message you are sending.  This field is
intended to reflect which message you are answering.  It will be
generated automatically by MM when you use the @i<reply> or @i<answer>
commands.

REPLY-TO <user>: Specifies the @i[Reply-to] field for messages.  This
directs replies to a different user ID from the one you are using.
Possibly you have more than one ID or address and want the replies to
go to one of the other IDs, or possibly you want someone else to
collect the replies.  The command refers to the message being sent.
If you have done @i<set default-reply-to>, then use @i<reply-to>
followed by null to remove the reply-to field from a particular
message.

SAVE-DRAFT <filename>: @tag<savedf>Saves the message text in the file
you name.  The text can be recovered later with @i(restore-draft)
(page @pageref<restdf>).  This lets you interrupt sending the message
but keep the text, so that you can resume at some other time.

SUBJECT <text>: Replaces the subject of the current message you are
sending.  To change the current subject to be @i<Budgets>, you should
type @p<subject Budgets>.  The subject, of course, can consist of more
than one word, if you so desire.

TEXT: If you have gotten to the @i(Send>) prompt and then want to add
more text on to message, you can use this command.  You may look at
the text already in the file by typing @i(<ctrl/l>) or @i(<ctrl/k>) or
have it appear automatically every time by changing the setting of the
@i<display-outgoing-message> variable to yes.  To add @i[This is a
test] you would simply say

@end(itemize)

@begin(example)
Send> @p(text <cr>)
@p<This is a test [ESC]>
Send>
@end(example)

@begin(itemize)

TO <user>: Adds more addresses to the @i[to-list].  For example, to add
jem, mmc, rdl to the @i[to-list], you would simply type

@end(itemize)

@begin(example)
Send>  @p[to jem, mmc, rdl <cr>]
@end(example)


@end<text2>
