@part<seven, root="mm.mss">
@begin(text)
@Chapter(Customization)@tag(setcoms)

@Section(How to Customize MM)

Various options of MM can be changed to customize it.  They all start
out with either default values or no value, and you do not have to
change any of them to use MM.  This manual describes MM behavior based
on the default values.  Once you have worked with MM, you may want to
try changing some of them.

Four commands are important in customizing:

@begin(itemize)

SET <variable-name value>: @i<Set> changes the particular option to
the value you want.

SAVE-INIT: @i<Save-init> makes the @i<set> permanent by saving the new
value in the file @i<.mminit> .

SHOW <variable-name>: @i<Show> displays the current value of the
variable.  With no variable name it shows all of them.

PROFILE: @i<Profile> takes you through some of the most likely options
and asks which way to set each one.  It does what @i<set> and
@i<save-init> do.

@end(itemize)

Many of the variables take values meaning yes (@i[always, ok, true,
yes]) or no (@i[false, never, no]), or the value @i(ask), which means
to prompt you for yes or no each time.  Some variables instead take
text or other values.

For example, to change the setting of the @i<append-signature>
variable to yes, you would enter:

@blankspace(1 line)
@end(text)
@begin(text2)
@begin<example>

MM>@b<set append-signature yes>

@end<example>
@end(text2)
@begin(text)

@section(Description of Variables)

The following are the variables and the optional settings available
followed by the system defaults.  Many of these settings are fairly
obscure and you will not find much need to change them.  For longer
descriptions of each variable, type @i(help set <variable-name>).

The most commonly changed variable settings are indicated by
checkmarks.

@blankspace(1 line)
@end(text)
@begin(text2, columnbalance=on)
@begin(itemize)

ALIASES-USE-GROUPS: If yes, aliases defined using the @i[define]
command show only the alias name in the @i[to] field of outgoing
messages.  If no, all the user ID's that the alias has included will
be listed.  The default is no.

@zf<4>@b< APPEND-SIGNATURE>: If yes, the @i<.signature> file in your
home directory will automatically be added to the bottom of your
outgoing mail.  The default is no.

AUTO-STARTUP-GET: If yes, MM will get your mail file for you
automatically upon entry.  The default is yes.

AUTOWRAP-COLUMN: The numeric argument specifies the column at which to
perform automatic word wrapping while collecting a message.  If the
number is positive, it indicates the absolute column at which to wrap.
If it is negative, it indicates the number of column spaces from the
right side of the screen. If it is zero, no wrapping is done.  The
default is -7.

BROWSE-CLEAR-SCREEN: If yes, the browser will clear the screen at
every opportunity.  The default is yes.

BROWSE-PAUSE: If yes, always pause between messages when browsing.
The default is yes.

@zf<4>@b< CHECK-INTERVAL>: Defines the time in seconds between each
check for new mail.  The default is 300 (5 minutes).  0 means never.

CLEAR-SCREEN: If yes, the screen is cleared at startup and between
messages.  The default is yes.

CONTINUOUS-CHECK: If yes, checking for new mail is also done in
@i<send> and @i<read> modes.  The default is no.

CONTROL-D-AUTOMATIC-@*SEND: If yes, send message automatically on
@i(<ctrl/d>) from text mode.  The default is no.

CONTROL-E-EDITOR: If yes, @i(<ctrl/e>) invokes the editor in message
collection mode.  The default is yes.

CONTROL-L-CONFIRM: If yes, typing @i(<ctrl/l>) will enter a @i<<cr>>
as well as clear the screen: if there is a command typed at the
prompt when you type CTRL-L, the screen will be cleared and the
command will be executed.  The default is no.

CONTROL-N-ABORT: If yes, then @i(<ctrl/n>) aborts the current command.
If ask, then @i(<ctrl/n>) should ask before aborting.  If no, then
@i(<ctrl/n>) never aborts.  The default is ask.

CRT-FILTER: Gives the program to use to display messages one screen of
text at a time.  The default is /usr/ucb/more -x (the more program).

DEFAULT-BCC-LIST: Defines a list of recipients that should always be
included in the bcc: (blind carbon copy) header field.  There is no
default.

@zf<4>@b< DEFAULT-CC-LIST>: Gives a list of addresses that will always
be in the cc (carbon copy) header field of your outgoing messages.
There is no default.

@zf<4>@b< DEFAULT-FCC-LIST>: Defines a file name (or list of file
names) in which to put a carbon copy of all outgoing messages.  There
is no default.  You should specify the path, because otherwise the
file is always assumed to be in the current directory.

DEFAULT-FROM: Defines what will go in the from field in outgoing mail.
In addition, your user ID will appear in the @i<Sender:> field for
outgoing mail.  There is no default.

DEFAULT-MAIL-TYPE: Indicates the mail format for new or empty files.
There are currently four mail formats available: babyl, mbox, mtxt and
MH.  The default is mbox.

DEFAULT-READ-COMMAND: Defines a command to automatically execute when
you type @i[<cr>] while reading messages.  The default is @i<next>.

DEFAULT-REPLY-TO: Defines a @i<reply-to:> field automatically in
out-going mail.  There is no default.

DEFAULT-SEND-COMMAND: Defines the command to automatically execute
when you type @i<<cr>> at the @i<send>> prompt.  There is no default.

DIRECTORY-FOLDERS: This is only relevant when using MH format mail
files.  This variable will allow MM to not add a slash when trying to
complete a mail folder name on the command line.  This is because the
MH format uses a directory for a mail folder.  The default is no.

DISPLAY-FLAGGED-@*MESSAGES: If yes, display @i<flagged> messages when
the mail file is read into MM.  The default is yes.

@zf<4>@b< DISPLAY-OUTGOING->@*@b<MESSAGE>: If yes, the contents of the
message you've already composed will be displayed when you re-enter
text mode.  The default is no.

DONT-PRINT-HEADERS: Gives a list of header fields that should not
appear when you use the @i<print> or @i<list> commands.  There is no
default.

@zf<4>@b< DONT-TYPE-HEADERS>: Gives a list of header fields that
should not be shown when displaying messages.  There is no default.
See page @pageref<donttype> for an example.

EDITOR: Indicates the editor you want to use when creating or editing
messages.  The default is /usr/local/bin/emacs.

ESCAPE-AUTOMATIC-SEND: If yes, then the message will automatically be
sent from send-text mode when @i<[ESC]> is typed.  The default is no.

EXPUNGE-ON-BYE: If yes, MM will automatically expunge the messages
marked for deletion when you exit using the @i<bye> command.  The
default is ask.

FAST-INIT-FILE: If yes, then use fast format initialization file, which
means write the file @i<~/.mmfast> as a summary of your @i<.mminit>
file.  The default is yes.

FINGER-COMMAND: Defines the command to execute when the @i<finger>
command is called.  The default is @i<finger>.

GNUEMACS-MMAIL: If your editor variable is not @i<emacs>, then this
variable doesn't apply.  If it is @i<emacs> and the value of this
variable is yes, it will use the mmail mode in the editor gnuemacs
automatically.  This gives you a window for the headers or message to
which you may be replying and a window for the text of your message.
The default is yes.

HEADER-OPTIONS-FILE: Gives the name of a file that contains header
fields you would like to appear in all your outgoing mail.  For
example, if you want to make a header @i<Office: 816 Watson>, you may
first create a file called @i<.mm-headers>, with the file consisting
of the header line.  Then say @i<set header-options-file .mm-headers>.
All your outgoing messages will then bear the @i<Office...> header.
There is no default for this variable.

INCOMING-MAIL: Gives the file name of the mailbox that MM should
check for new mail.  The default is /usr/spool/mail/@i<your user ID>.

KEYWORDS: Defines a list of keywords you may use in conjunction with
the @i<keyword> command.  By defining keywords here, you will be able
to use command completion in assigning your keywords when you use the
@i<keyword> command.  There is no default.

LIST-INCLUDE-HEADERS: If yes, the index headers (like @i<headers>
command) for each message will be listed out before displaying
messages using the @i<list> command.  The default is yes.

LIST-ON-SEPARATE-PAGES: If yes, put a form feed between each message
listed while printing a group of messages.  The default is no.

MAIL-DIRECTORY: Defines the directory in which to keep your primary
mail file and related files.  The default is ~, your home directory.

MAIL-FILE: Defines the file in which to store incoming messages (new
mail).  The default is mbox.

MMAIL-PATH: Defines the file name for the gnuemacs mmail library.
This is not for general usage.  There is no default.

MODIFY-READ-ONLY: If yes, then when you are using a read-only mail
file (as when using the @i<examine> command) you can modify the file
in the buffer (the disk is still read-only).  Otherwise, you will get
an error message when you try to use any command that marks the
messages (i.e. read, delete, etc.)  The default is yes.

MOVEMAIL-PATH: Defines the path for the MM program to move mail from
the spool directory to your home directory.  The default is
/usr/local/lib/mm/movemail .

NEW-FILE-MODE: The numeric argument is the octal default file mode for
files created by @i<move>, @i<copy>, etc.  The default of @i<600>
gives the highest level of protection, which is read/write by owner
only.

ONLY-PRINT-HEADERS: Gives a list of header fields that would be the
only ones shown when you use the @i<print> or @i<list> commands.
There is no default.

ONLY-TYPE-HEADERS: Gives a list of header fields that would be the
only ones displayed during message typeout.  There is no default.

@zf<4>@b< PERSONAL-NAME>: Gives a string for your name as it should
appear in outgoing mail in the @i<from> field.  There is no default.
So if you don't enter a @i<personal-name>, your user ID and name from
@i</etc/passwd> will appear in that field.

@zf<4>@b< PRINT-FILTER>: Defines the program to use to print messages.  The
default is /usr/local@|/bin@|/print.  If you are using Kermit on a PC and have
a printer directly hooked up to it, try setting it to pcprint.

PROMPT-FOR-BCC: If yes, prompt for blind carbon copy during send
command. The default is no.

PROMPT-FOR-CC: If yes, prompt for carbon copy during send command. The
default is yes.

PROMPT-FOR-FCC: If yes, prompt for the name of a file to automatically
put a copy of your outgoing message into during the send command. The
default is no.

PROMPT-RCPT-ALWAYS: If yes, always prompt for the recipients when
sending or replying.  The default is no.

@zf<4>@b< READ-PROMPT>: Defines the string to be used as the read prompt.  The
default is @i(Read>).

@zf<4>@b< REPLY-ALL>: If yes, replies go to all recipients (not just sender).
The default is no.

@zf<4>@b< REPLY-INCLUDE-ME>: If yes, when you are replying to a
message and say @i<reply all>, replies go to your user ID also.  The
default is no.

REPLY-INDENT: Gives the indentation string to be used for the included
message when including original message into reply.  The default is
"> ".

REPLY-INITIAL-DISPLAY: If yes, display the headers associated with the
reply to a message after the @i<reply> command is typed.  The
default is no.

REPLY-INSERT: If yes, the @i<reply> command includes the original
message automatically.  The default is no.

@zf<4>@b< SAVED-MESSAGES-FILE>: Defines a file that will automatically
receive copies of all your outgoing messages.  There is no default.
If the directory is not specified, the mail-directory is assumed.

@zf<4>@b< SEND-PROMPT>: Defines the string to be used as the send prompt.
The default is @i<Send>>.

SEND-VERBOSE: If yes, after entering @i<send> at the send prompt to
mail your outgoing message, the recipients of the mail you have just
sent will be displayed.  The default is yes.

SENDMAIL-BACKGROUND: If yes, MM won't wait for the sendmail program to
finish running before continuing with MM commands.  The default is
yes.

SENDMAIL-VERBOSE: If yes, display the mail sender program messages
about mail delivery.  The default is no.

SPELLER: Defines the spell checker that is to be used with the
@i<spell> command.  The default is @i<ispell>.

SUSPEND-ON-EXIT: If yes, when using the @i<exit> command to get out of
MM, the process will be suspended.  The default is yes.

SUSPEND-ON-QUIT: If yes, when using the @i<quit> command to get out of
MM, the process will be suspended.  The default is yes.

TEMP-DIRECTORY: Gives the directory to create temporary files in.  The
default is ~, your home directory.

@zf<4>@b< TERSE-TEXT-PROMPT>: If yes, the prompt for message body in text
mode will be just @b[Msg:].  The default is no.

TOP-LEVEL-PROMPT: Gives the string to be used as the top-level command
prompt.  The default is @i<MM>>.

USE-CRT-FILTER-ALWAYS: If yes, messages will be piped to crt-filter
regardless of length.  If no, your crt-filter will be used only when
the message is too big to fit on your screen all at once.  The default
is no.

@zf<4>@b< USE-EDITOR-ALWAYS>: If yes, the editor defined by the editor variable
will automatically be used to compose messages.  The default is no.

USE-INVALID-ADDRESS: If yes, strange mail address formats will be
accepted by MM in the @i<reply>, @i<forward>, and @i<edit> commands
(e.g.  hostname::username).  The default is ask.

USER-HEADERS: Gives a list of header fields you may wish to add to
outgoing messages.  Defining this variable allows for command
completion to be used with the @i<user-header> command in @i<send> mode.
There is no default.

@zf<4>@b< USER-LEVEL>: Defines the level of expertise for the user.
The options are @i<novice> and @i<expert>.  If the level is set to
novice, the one-line display of "hints" will appear at each of the
prompts.  At expert level, the "hints" disappear.  The default
is @i<novice>.

USER-NAME: Defines the user name for a particular UID.  For the
general user population this command does not apply.  If you would
like to have a nickname appear in the @i<from> field, use the
@i<personal-name> variable.

@end(itemize)

@end<text2>
