@part<eight,root="mm.mss">
@begin<text>
@Chapter(Special Topics) 

@section(Your Electronic Mail Address)

An electronic mail address at Columbia looks like this one:

@center(brennan@@cunixf.cc.columbia.edu)

In general, the format is @i(userid@@host), and the @i(host) portion
is usually subdivided by periods.

The address shown above is interpreted as follows:

@begin(itemize)

@i(brennan) is the user ID.  Some user IDs are the first or last name
of the person.  The most common form actually is initials, followed by
a number to distinguish people with the same initials.  Your user ID
may therefore look like @i(jpb7).

@i(cunixf) is the machine where @i(brennan) is located.  This is the
"mail" host for officers and staff.  Students are on cunixa, cunixb
or cunixd.

@i(cc) indicates the department responsible for the machine; @i(cc)
stands for Computer Center.  Some Columbia departments have their own
machines, and will have a different designation here.

@i(columbia.edu) identifies Columbia University.

@end(itemize)

Mail can be sent almost anywhere in the world by using a full address
like the one shown above for @i(brennan).  There are numerous
electronic mail networks in the United States and in the rest of the
world that interconnect.

Your correspondents do not have to use MM as their mail program.  Each
mail program actually is translating mail into and out of a common
format, making it possible for correspondents to be on very different
types of machines that run different mail programs.

The electronic mail network has been patched together, and there are
some exceptions to the above statements.  You may find you want to
correspond with someone whose address does not match the usual format
or whose mail program does not work well with the common format that
MM uses.  For advice, call the Help Desk at 854-4854, or send mail to
@i(consultant), and experienced CUCCA staff will look into the problem.

One of the main obstacles to communication is that there are very few
electronic mail directories.  Usually, you and your colleague will
need to exchange addresses by some other contact before you can start
sending mail.  Ask people to send a test message to your
address.

Received mail will show the address it came from in the header (see
the next page).  In some cases, you also see a routing, a list of
intermediate addresses through which the message passed.  MM's
@i(reply) command will send mail back to the address shown in the
@i(from) field.

You might use the @i(define) command (page @pageref[defref]) to create
an alias for someone you will mail to regularly.  Full addresses are
difficult to remember and to type accurately.

Mail that cannot be delivered is returned, after a time, with a system
message indicating why delivery failed.  Look at the header and see
whether you typed the address correctly.  If you don't see what the
problem is, a good way to get help is to use MM's @i(forward) command
to send the returned message to @i(consultant), so CUCCA experts can
examine the full header and the message about nondelivery, and advise
on what else to try.

Within Columbia, mail can be addressed in short form.  The system
assumes the rest of the address is the same as the sender's.  For
example, another cunixf user can address just to @i(brennan), and a
user on cuvmb can address just to @i(brennan@@cunixf).  (By the way, MM
is not available on cuvmb, so the user there would be using some other
mail program, like VMM or MAIL, but that will not be apparent to
@i[brennan].)

In the near future (as we go to press), the address @i(columbia.edu)
will be set up so that outsiders do not have to specify where at
Columbia (like @i[cunixf.cc]), but can just send to
@i(userid@@columbia.edu), and mail will be directed by the system to
the correct machine.  The full address will still be good as well.

@b(HEADERS) @tag<donttype>

This is the header of a message sent from a person at Johns Hopkins
University in reply to a message from @i(brennan) at Columbia:

@begin(example)

Return-Path: <xyz@@welchlab.welch.jhu.edu>
Received: from welchlab.welch.jhu.edu by cunixf.cc.columbia.edu (5.59/FCB)
	id AA03285; Fri, 29 Sep 89 12:47:40 EDT
Received: by welchlab.welch.jhu.edu (4.0/4.0)
        id AA29525; Fri, 29 Sep 89 12:47:22 EST
From: Archy Bargy <xyz@@welchlab.welch.jhu.edu>
Message-Id: <8909291747.AA29525@@welchlab.welch.jhu.edu>
Subject: Re: ELM...
To: brennan@@cunixf.cc.columbia.edu (Joseph Brennan)
Date: Fri, 29 Sep 89 12:47:22 EST
In-Reply-To: <CMM.0.88.623089573.brennan@@cunixf.cc.columbia.edu>; from "Joseph \
Brennan" at Sep 29, 89 12:26 (noon)
X-Mailer: Elm [version 2.1 PL1]

@end(example)

The @i(from) field, about halfway down, shows the user is Archy Bargy,
and most importantly that his user ID is
@i(xyz@@welchlab.welch.jhu.edu), which is the address to use to send
him mail.  The format is very similar to Columbia's.  The first field
of this message, @i(return-path), also shows the correct address, but
sometimes does not appear.

Headers on mail from outside Columbia can be much longer.  Since most
of the data is not of much interest, you may want to hide some of the
headers when you read mail.  One of the customization commands, @i(set
dont-type-headers), will hide whatever header fields you name as
arguments.  For example, if you customize with @i(set
dont-type-headers received, return-path, message-ID,
resent-message-ID), then most of the excess material in the example
would not appear on screen.  If you do use @i(set), remember to type
@i(save-init) before leaving MM, to save the setting.

@newpage<>

@section(Other Users: the Shell Command @i[finger])@tag(fingr)

The MM command @i(finger) actually does the shell command @i(finger).
You will get the same results whether you type the command at an MM
prompt or at the shell prompt @i($).  In these examples, the shell
prompt is shown.  Note the use of @b(small) and @b(CAPITAL) letters. 

The command @i(finger) by itself shows who is logged in right now:

@begin(example)

  $ @b(finger)
  Umax 4.3 (B4_0.16) XPC NFS Fri Nov  3 15:39:12 1989
  
  login     name            tty idle when      location         type
  brennan   Joseph Brennan   p3      Fri 08:23 128.59.35.52     us
  caldano   Dan Caldano      A3      Fri 08:57 info01.cc.columb cul
  dcl       Don Lanini       52      Fri 09:09 info05.cc.columb us
  ...

@end(example)

The display is usually so long that it runs off the screen.  To hold
it still, it is actually better to type @p(finger | more); the pipe
symbol (|) sends the data into @i(more), another command that displays
data one screen at a time.

The command @i(finger -Q) with a name or part of a name may help find
a user ID:

@begin(example)

  $ @b(finger -Q dan)
  Dan Caldano                            caldano
  Dan Cooper                             cooper
  Daniel B. Dobkin                       dbd
  Daniel J Lazarus                       djl
  Danny M Lee                            dml
  Alena P Danchak                        ptak
  ...

@end(example)

This display shows all users that exist whose first or last names
start with "dan".  The column on the right shows their user IDs.

The command @i(finger) with a user ID shows information about the user:

@begin(example)

  $ @b(finger brennan)
  brennan    Joseph Brennan         p3        Fri 08:23 128.59.35.52  us
  No new mail.
  No plan.

@end(example)

In this case, Joe Brennan is logged in now.  If he were not, in place
of @i(p3@ @ @ Fri 08:23...) would be @i(Last login <date, time>...).
The phrase @i(No new mail) means no mail is waiting to be read.  If
you had sent Joe mail, you can infer from @i(no new mail) and from the
login time that he's read it by now.  The command @i(finger -v) with
a user ID shows a more "verbose" version.

For more on @i(finger), type @i(man finger) at the shell prompt, or
type @i(!man finger) at an MM prompt.

@newpage<>

@section(Concluding Hints)
@blankspace(2 lines)
@end(text)
@begin(text2, columnbalance=on)
@b(COMMAND RETRY)

After you become more adept at using MM, you may want to use a feature
called @i<command retry>.  This means that after you have typed a
command and hit return, then realize that was not what you meant to
do, you can redo the command.  When you get the prompt back from MM,
if the @b<very next> thing you type is @i[<ctrl/p>], MM will redisplay
your last command.  You can then delete the offending parts and run
the command you wanted.  This saves you from having to retype the
entire command.  You can also use this command in conjunction with the
command @i[<ctrl/n>] to go backwards and forwards (@i[<ctrl/n>] moves
you forward) through the commands you have typed during the current MM
session.

@blankspace(2 lines)
@b(COMMENTS)

MM will accept comments on any line.  Comments are useful inside files
run by the @i(take) command (see @i(help take)).  Precede comments by
@i(#).  If you want to put special characters like @i<#> or @i<[ESC]>
into text, use the quoting character, @i<ctrl/v>.  @i<ctrl/v> followed
by any character simply inserts that character.  Thus, @i(#) indicates
that the rest of the line is comment, while @i(^v#) (@i[ctrl/v] and
then @i[#]) indicates literally the character @i(#).

@blankspace(2 lines)
@b(FILES USED BY MM AT STARTUP) 

Whenever MM starts up, it first @i(take)s the file @i<~/.mminit> to
set up your environment.  Since reading of the @i<.mminit> file can be
somewhat slow, MM knows how to write a faster version of it, called
@i<~/.mmfast>.  You will never need to modify this file in any way,
since MM takes care of keeping it up to date with your @i<.mminit>
file.  @i<.mmfast> is a very small file, but if you feel you are
terribly short on disk space, you can put @i<set fast-init-file no> in
your @i<.mminit>, and MM will stop writing @i(.mmfast).  You can then
delete it.

After your @i<.mminit> file is @i(take)n, MM then @i(take)s the file
@i<~/.mmrc>, which contains other MM commands.  For example, if you
want to read your new mail automatically @b<every> time you go into
MM, you can put the @i<read> command into your @i<.mmrc> file.

If you have a @i<.mailrc> file in your directory (a file with aliases
for the "Mail" program), it is also @i(take)n upon entry to MM to find
the aliases.  Other "mail" commands are ignored.

See the @i<take> command for an explanation of how other files can be
@i(take)n also.

@blankspace(2 lines)
@b(SHELL COMMANDS)

You can issue shell commands from inside MM.  Just precede the command
with the exclamation point "!".

@blankspace(2 lines)
@b(BELLS)

Type a @i(<ctrl/g>) into your text to insert a bell sound (actually a
"beep" on most terminals).  Since the bell can be annoying to readers,
save it for appropriate times.

@blankspace(2 lines)
@b(COMMUNICATIONS BREAKTHROUGH)

One disadvantage of electronic mail is that your readers may
misunderstand your tone of voice.  You can state something ironically
and be taken seriously.  For suggestions on how to overcome the
problem, type @i(man smiley) at the shell prompt.

@end<text2>


